#!/usr/local/bin/expect -f
# startgdb.tcl - Expect script to start a gdb session
#
# Assumes expect is installed on host, ftpd running on target

set exe [lindex $argv 0]
set target  [lindex $argv 1]
set timeout 60

# ftp tarball to target

# start gdbserver on target

spawn telnet $target
send "cd /var/tmp\r"
expect "> "
send "gdbserver localhost:3456 $exe male.wav male.out\r"
expect "Listening"

# start gdb on host

spawn bash
send "bfin-uclinux-gdb $exe.gdb\r"
expect "(gdb) "
send "target remote $target:3456\r"
expect "(gdb) "
interact


