/*
  bfsi.h
  David Rowe 21 June 2006
 
  Header file for bfsi.h
*/

#ifndef __BFSI__
#define __BFSI__

void bfsi_reset(int pf_bit);
void bfsi_spi_init(int baud, int chip_select_mask);
u8   bfsi_spi_read_8_bits(int chip_select);
void bfsi_spi_write_8_bits(int chip_select, u8 bits);

int  bfsi_sport_init(
  void (*isr_callback)(u8 *read_samples, u8 *write_samples), 
  int   num_samples,
  int   debug
);
void bfsi_sport_close(void);

#endif
